//! # New conversation message
//!
//! @author Pierre Hubert

use crate::data::user::UserID;
use crate::data::conversation::ConvID;
use crate::data::conversation_message::{ConversationMessageFile, ConversationServerMessageType};

/// Information about a new conversation message
pub struct NewConversationMessage {
    pub user_id: Option<UserID>,
    pub conv_id: ConvID,
    pub message: Option<String>,
    pub file: Option<ConversationMessageFile>,
    pub server_message: Option<ConversationServerMessageType>
}